Skip to content

Payer Edit ​

API Information

  • Path: /api/v1/acct/editPayer
  • Method: POST
  • Content-Type: application/json

Business Description

  • Update payer information. ID is required, include the field information that needs to be updated

Request Parameters ​

Headers ​

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body ​

Main Parameters

ParameterTypeDescriptionRequired
idintegerPayer IDM
merchantNointegerMerchant NumberM
companyNameEnstringCompany English Name (Required for Corporate)M
companyNamestringCompany Name (Required for Corporate)M
countrystringCountryM
addressEn1stringAddressM
addressEn2stringRegistration Address 2M
addressEn3stringRegistration Address 3M
registerNostringRegistration NumberM
registerDatestringRegistration DateM
postcodestringPostal CodeM
emailstringEmailM
areaCodestringArea CodeM
phoneNumberstringPhone NumberM
statestringState/ProvinceM
citystringCityM
subEntityTypestringType: "0" Company "1" IndividualC
firstNamestringFirst Name (Required for Individual)M
lastNamestringLast Name (Required for Individual)M
idTypestringID Type: 0: NRIC, 1: PASSPORT, 2: CORPORATE_REGISTRATION_NUMBERM
idNumberstringID NumberM
birthDatestringDate of BirthM
idValidDateFromstringID Valid From DateM
idValidDateTostringID Valid To DateM
signstringSignatureM

Request Example ​

json
{
  "id": 1953842106012663808,
  "merchantNo": "800149",
  "country": "CN",
  "addressEn1": "Nanshan Science & Technology Park, Shenzhen",
  "addressEn2": "adres2",
  "addressEn3": "ad3",
  "postcode": "518057",
  "status": 0,
  "email": "1@qq.com",
  "areaCode": "+86",
  "phoneNumber": "15072871023",
  "state": "shandong",
  "city": "linzhe",
  "subEntityType": "1",
  "firstName": "zhang",
  "lastName": "san",
  "idType": "0",
  "idNumber": "371328198410044019",
  "birthDate": "1984-10-04",
  "idValidDateFrom": "2016-08-04",
  "idValidDateTo": "2026-08-04",
  "sign" : "AD121231231231231231"
}

Response ​

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters ​

Response Fields

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─merchantNointegerMerchant Number
  └─payoutIdintegerPayout Transaction ID
  └─statusstringStatus
  └─requestIdstringRequest ID

Response Example ​

json
{
  "respCode": "",
  "respMsg": "",
  "data": {
    "merchantNo": 0,
    "payoutId": 0,
    "status": "",
    "requestId": ""
  }
}